<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>EvaluationConditionalFormatRule (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="EvaluationConditionalFormatRule (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/EvaluationConditionalFormatRule.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/formula/EvaluationCell.html"
               title="interface in org.apache.poi.ss.formula"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/ss/formula/EvaluationConditionalFormatRule.OperatorEnum.html"
               title="enum in org.apache.poi.ss.formula"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/formula/EvaluationConditionalFormatRule.html"
               target="_top">Frames</a></li>
        <li><a href="EvaluationConditionalFormatRule.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.formula</div>
    <h2 title="Class EvaluationConditionalFormatRule" class="title">Class EvaluationConditionalFormatRule</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.ss.formula.EvaluationConditionalFormatRule</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.lang.Comparable&lt;<a
                            href="../../../../../org/apache/poi/ss/formula/EvaluationConditionalFormatRule.html"
                            title="class in org.apache.poi.ss.formula">EvaluationConditionalFormatRule</a>&gt;
                    </dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">EvaluationConditionalFormatRule</span>
extends java.lang.Object
implements java.lang.Comparable&lt;<a
                            href="../../../../../org/apache/poi/ss/formula/EvaluationConditionalFormatRule.html"
                            title="class in org.apache.poi.ss.formula">EvaluationConditionalFormatRule</a>&gt;</pre>
                <div class="block">Abstracted and cached version of a Conditional Format rule for use with a
                    <a href="../../../../../org/apache/poi/ss/formula/ConditionalFormattingEvaluator.html"
                       title="class in org.apache.poi.ss.formula"><code>ConditionalFormattingEvaluator</code></a>. This
                    references a rule, its owning
                    <a href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormatting.html"
                       title="interface in org.apache.poi.ss.usermodel"><code>ConditionalFormatting</code></a>, its
                    priority order (lower index = higher priority in Excel),
                    and the information needed to evaluate the rule for a given cell.
                    <p>
                        Having this all combined and cached avoids repeated access calls to the
                        underlying structural objects, XSSF CT* objects and HSSF raw byte structures.
                        Those objects can be referenced from here. This object will be out of sync if
                        anything modifies the referenced structures' evaluation properties.
                    <p>
                        The assumption is that consuming applications will read the display properties once and
                        create whatever style objects they need, caching those at the application level.
                        Thus this class only caches values needed for evaluation, not display.</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Nested Class Summary table, listing nested classes, and an explanation">
                            <caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Class and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationConditionalFormatRule.OperatorEnum.html"
                                        title="enum in org.apache.poi.ss.formula">EvaluationConditionalFormatRule.OperatorEnum</a></span></code>
                                    <div class="block">Not calling it OperatorType to avoid confusion for now with other
                                        classes.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationConditionalFormatRule.ValueAndFormat.html"
                                        title="class in org.apache.poi.ss.formula">EvaluationConditionalFormatRule.ValueAndFormat</a></span></code>
                                    <div class="block">Note: this class has a natural ordering that is inconsistent with
                                        equals.
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected static interface&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationConditionalFormatRule.ValueFunction.html"
                                        title="interface in org.apache.poi.ss.formula">EvaluationConditionalFormatRule.ValueFunction</a></span></code>
                                    <div class="block">instances evaluate the values for a region and return the
                                        positive matches for the function type.
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationConditionalFormatRule.html#EvaluationConditionalFormatRule-org.apache.poi.ss.formula.WorkbookEvaluator-org.apache.poi.ss.usermodel.Sheet-org.apache.poi.ss.usermodel.ConditionalFormatting-int-org.apache.poi.ss.usermodel.ConditionalFormattingRule-int-org.apache.poi.ss.util.CellRangeAddress:A-">EvaluationConditionalFormatRule</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html"
                                        title="class in org.apache.poi.ss.formula">WorkbookEvaluator</a>&nbsp;workbookEvaluator,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                       title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;sheet,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormatting.html"
                                       title="interface in org.apache.poi.ss.usermodel">ConditionalFormatting</a>&nbsp;formatting,
                                    int&nbsp;formattingIndex,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                       title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a>&nbsp;rule,
                                    int&nbsp;ruleIndex,
                                    <a href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                       title="class in org.apache.poi.ss.util">CellRangeAddress</a>[]&nbsp;regions)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationConditionalFormatRule.html#compareTo-org.apache.poi.ss.formula.EvaluationConditionalFormatRule-">compareTo</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationConditionalFormatRule.html"
                                        title="class in org.apache.poi.ss.formula">EvaluationConditionalFormatRule</a>&nbsp;o)</code>
                                    <div class="block">Per Excel Help, XSSF rule priority is sheet-wide, not just within
                                        the owning ConditionalFormatting object.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationConditionalFormatRule.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object&nbsp;obj)</code>
                                    <div class="block">Defined as equal sheet name and formatting and rule indexes</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormatting.html"
                                        title="interface in org.apache.poi.ss.usermodel">ConditionalFormatting</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationConditionalFormatRule.html#getFormatting--">getFormatting</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationConditionalFormatRule.html#getFormattingIndex--">getFormattingIndex</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationConditionalFormatRule.html#getFormula1--">getFormula1</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationConditionalFormatRule.html#getFormula2--">getFormula2</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ExcelNumberFormat.html"
                                        title="class in org.apache.poi.ss.usermodel">ExcelNumberFormat</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationConditionalFormatRule.html#getNumberFormat--">getNumberFormat</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationConditionalFormatRule.OperatorEnum.html"
                                        title="enum in org.apache.poi.ss.formula">EvaluationConditionalFormatRule.OperatorEnum</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationConditionalFormatRule.html#getOperator--">getOperator</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationConditionalFormatRule.html#getPriority--">getPriority</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddress</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationConditionalFormatRule.html#getRegions--">getRegions</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                        title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationConditionalFormatRule.html#getRule--">getRule</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationConditionalFormatRule.html#getRuleIndex--">getRuleIndex</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                        title="interface in org.apache.poi.ss.usermodel">Sheet</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationConditionalFormatRule.html#getSheet--">getSheet</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationConditionalFormatRule.html#getText--">getText</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ConditionType.html"
                                        title="class in org.apache.poi.ss.usermodel">ConditionType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationConditionalFormatRule.html#getType--">getType</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationConditionalFormatRule.html#hashCode--">hashCode</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait</code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="EvaluationConditionalFormatRule-org.apache.poi.ss.formula.WorkbookEvaluator-org.apache.poi.ss.usermodel.Sheet-org.apache.poi.ss.usermodel.ConditionalFormatting-int-org.apache.poi.ss.usermodel.ConditionalFormattingRule-int-org.apache.poi.ss.util.CellRangeAddress:A-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>EvaluationConditionalFormatRule</h4>
                                <pre>public&nbsp;EvaluationConditionalFormatRule(<a
                                        href="../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html"
                                        title="class in org.apache.poi.ss.formula">WorkbookEvaluator</a>&nbsp;workbookEvaluator,
                                       <a href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                          title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;sheet,
                                       <a href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormatting.html"
                                          title="interface in org.apache.poi.ss.usermodel">ConditionalFormatting</a>&nbsp;formatting,
                                       int&nbsp;formattingIndex,
                                       <a href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                          title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a>&nbsp;rule,
                                       int&nbsp;ruleIndex,
                                       <a href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                          title="class in org.apache.poi.ss.util">CellRangeAddress</a>[]&nbsp;regions)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>workbookEvaluator</code> -</dd>
                                    <dd><code>sheet</code> -</dd>
                                    <dd><code>formatting</code> -</dd>
                                    <dd><code>formattingIndex</code> - for priority, zero based</dd>
                                    <dd><code>rule</code> -</dd>
                                    <dd><code>ruleIndex</code> - for priority, zero based, if this is an HSSF rule.
                                        Unused for XSSF rules
                                    </dd>
                                    <dd><code>regions</code> - could be read from formatting, but every call creates new
                                        objects in a new array.
                                        this allows calling it once per formatting instance, and re-using the array.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getSheet--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSheet</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                                    title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;getSheet()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>sheet</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFormatting--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFormatting</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormatting.html"
                                        title="interface in org.apache.poi.ss.usermodel">ConditionalFormatting</a>&nbsp;getFormatting()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the formatting</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFormattingIndex--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFormattingIndex</h4>
                                <pre>public&nbsp;int&nbsp;getFormattingIndex()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>conditional formatting index</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getNumberFormat--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNumberFormat</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/ExcelNumberFormat.html"
                                        title="class in org.apache.poi.ss.usermodel">ExcelNumberFormat</a>&nbsp;getNumberFormat()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>Excel number format string to apply to matching cells, or null to keep the cell
                                        default
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRule--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRule</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                        title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a>&nbsp;getRule()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the rule</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRuleIndex--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRuleIndex</h4>
                                <pre>public&nbsp;int&nbsp;getRuleIndex()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>rule index</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRegions--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRegions</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                                    title="class in org.apache.poi.ss.util">CellRangeAddress</a>[]&nbsp;getRegions()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the regions</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPriority--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPriority</h4>
                                <pre>public&nbsp;int&nbsp;getPriority()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the priority</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFormula1--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFormula1</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getFormula1()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the formula1</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFormula2--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFormula2</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getFormula2()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the formula2</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getText--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getText</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getText()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>condition text if any, or null</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getOperator--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getOperator</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationConditionalFormatRule.OperatorEnum.html"
                                        title="enum in org.apache.poi.ss.formula">EvaluationConditionalFormatRule.OperatorEnum</a>&nbsp;getOperator()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the operator</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getType--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getType</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/usermodel/ConditionType.html"
                                                    title="class in org.apache.poi.ss.usermodel">ConditionType</a>&nbsp;getType()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the type</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="equals-java.lang.Object-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>equals</h4>
                                <pre>public&nbsp;boolean&nbsp;equals(java.lang.Object&nbsp;obj)</pre>
                                <div class="block">Defined as equal sheet name and formatting and rule indexes</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>equals</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><code>Object.equals(java.lang.Object)</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="compareTo-org.apache.poi.ss.formula.EvaluationConditionalFormatRule-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>compareTo</h4>
                                <pre>public&nbsp;int&nbsp;compareTo(<a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationConditionalFormatRule.html"
                                        title="class in org.apache.poi.ss.formula">EvaluationConditionalFormatRule</a>&nbsp;o)</pre>
                                <div class="block">Per Excel Help, XSSF rule priority is sheet-wide, not just within the
                                    owning ConditionalFormatting object.
                                    This can be seen by creating 4 rules applying to two different ranges and examining
                                    the XML.
                                    <p>
                                        HSSF priority is based on definition/persistence order.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>compareTo</code>&nbsp;in interface&nbsp;<code>java.lang.Comparable&lt;<a
                                            href="../../../../../org/apache/poi/ss/formula/EvaluationConditionalFormatRule.html"
                                            title="class in org.apache.poi.ss.formula">EvaluationConditionalFormatRule</a>&gt;</code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>o</code> -</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>comparison based on sheet name, formatting index, and rule priority</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="hashCode--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>hashCode</h4>
                                <pre>public&nbsp;int&nbsp;hashCode()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>hashCode</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/EvaluationConditionalFormatRule.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/formula/EvaluationCell.html"
               title="interface in org.apache.poi.ss.formula"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/ss/formula/EvaluationConditionalFormatRule.OperatorEnum.html"
               title="enum in org.apache.poi.ss.formula"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/formula/EvaluationConditionalFormatRule.html"
               target="_top">Frames</a></li>
        <li><a href="EvaluationConditionalFormatRule.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
